跳至内容

API - 连接到 Classic 上的 IBM Cloud Direct Link

与 Classic 上的 IBM Cloud™ Direct Link 建立连接,以将您的 IBX 共置资产连接到您的 IBM Cloud 资源。

识别您的 IBM 帐户 ID

登录到IBM Cloud 控制台并选择“管理”。 > Account 查找您的 IBM 帐户 ID。

Fabric API 先决条件

  1. 身份验证 - 提交您的 OAuth2 用户凭据、客户端 ID 和客户端密钥 身份验证。请参阅API身份验证以获取有关如何调用OAuth API来验证和认证您的凭据的说明。

  2. 确定您的 A 侧信息。使用 Get All Ports API 请求检索您的 Equinix Fabric 端口信息。

  3. 选择 Z 侧地铁站点。使用 Get All Metros API 请求查找所有 Equinix Fabric 可用的地铁站点,并确定目的地位置。

  4. 确定服务配置文件。使用 检索服务配置文件 A​​PI 请求搜索特定服务配置文件,或使用 获取服务配置文件 A​​PI 请求列出所有可用的服务配置文件,并确定所需的服务配置文件。 你想联系的个人资料。

要从您的 DOT1Q 端口创建到 IBM Cloud Direct Link on Classic 的连接,请向 /fabric/v4/connections 端点发送 POST 请求。在请求正文中指定连接的配置详细信息。

POST /fabric/v4/connections
MethodPOST
Endpoint/fabric/v4/connections
HeadersAuthorization, Content-Type
Path ParametersNot applicable
Query ParametersNot applicable
Body Parameterstype, name, order, bandwidth, redundancy, aSide, zSide, additionalInfo, notifications

示例 cURL 请求:

curl -X
POST 'https://api.equinix.com/fabric/v4/connections'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'
-d '{
    "type": "EVPL_VC",
    "name": "Conn-1",
    "order": {
        "purchaseOrderNumber": "1-129105284100"
    },
    "bandwidth": 1000,
    "redundancy": {
        "priority": "PRIMARY"
    },
    "aSide": {
        "accessPoint": {
            "type": "COLO",
            "port": {
                "uuid": "a867f685-41b0-1b07-6de0-320a5c00abdd"
            },
            "linkProtocol": {
                "type": "DOT1Q",
                "vlanTag": 1001
            }
        }
    },
    "zSide": {
        "accessPoint": {
            "type": "SP",
            "profile": {
                "uuid": "20d32a80-0d61-4333-bc03-707b591ae2f5"
            },
            "location": {
                "metroCode": "SV"
            },
            "authenticationKey": "xx-xxx-xx",
            "sellerRegion": "us-west-1"
        }
    },
    "additionalInfo": [
        {
            "key": "ASN",
            "value": "12345"
        },
        {
            "key": "Global",
            "value": "false"
        }
    ],
    "notifications": [
        {
            "type": "ALL",
            "emails": [
                "test@equinix.com",
                "test2@equinix.com"
            ]
        }
    ]
}'

请求正文中包含的参数仅适用于此示例。有关参数及其说明的完整列表,请参阅API 参考

示例响应:

{
    "href": "https://api.equinix.com/fabric/v4/connections/3a58dd05-f46d-4b1d-a154-2e85c396ea62",
    "type": "EVPL_VC",
    "uuid": "3a58dd05-f46d-4b1d-a154-2e85c396ea62",
    "name": "Conn-1",
    "state": "PROVISIONING",
    "order": {
        "purchaseOrderNumber": "1-129105284100",
        "billingTier": "Up to 1 Gbps"
    },
    "bandwidth": 1000,
    "redundancy": {
        "group": "m167f685-41b0-1b07-6de0-320a5c00abeu",
        "priority": "PRIMARY"
    },
    "aSide": {
        "accessPoint": {
            "type": "COLO",
            "port": {
                "href": "https://api.equinix.com/fabric/v4/ports/a867f685-41b0-1b07-6de0-320a5c00abdd",
                "type": "XF_PORT",
                "uuid": "a867f685-41b0-1b07-6de0-320a5c00abdd"
            },
            "linkProtocol": {
                "type": "DOT1Q",
                "vlanTag": 1001
            }
        }
    },
    "zSide": {
        "accessPoint": {
            "type": "SP",
            "profile": {
                "href": "https://api.equinix.com/fabric/v4/services/serviceProfiles/20d32a80-0d61-4333-bc03-707b591ae2f5",
                "type": "L2_PROFILE",
                "uuid": "20d32a80-0d61-4333-bc03-707b591ae2f5"
            },
            "location": {
                "href": "https://api.equinix.com/v4/metros/SV",
                "metroCode": "SV",
                "region": "AMER"
            },
            "sellerRegion": "us-west-1"
        }
    },
    "additionalInfo": [
        {
            "key": "ASN",
            "value": "12345"
        },
        {
            "key": "Global",
            "value": "false"
        }
    ],
    "notifications": [
        {
            "type": "ALL",
            "emails": [
                "test@equinix.com",
                "test2@equinix.com"
            ]
        }
    ],
    "operation": {
        "equinixStatus": "PROVISIONING",
        "providerStatus": "PROVISIONING"
    },
    "changeLog": {
        "createdDateTime": "2021-07-15T19:30:29.526Z"
    }
}

响应有效负载包含在请求正文中定义的配置参数。有关所有可用参数及其说明的完整列表,请参阅API 参考

要从您的 QINQ 端口创建到 IBM Cloud Direct Link on Classic 的连接,请向 /fabric/v4/connections 端点发送 POST 请求。在请求正文中指定连接的配置详细信息。

curl -X
POST 'https://api.equinix.com/fabric/v4/connections'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'
-d '{
    "type": "EVPL_VC",
    "name": "Conn-1",
    "order": {
        "purchaseOrderNumber": "1-129105284100"
    },
    "bandwidth": 1000,
    "redundancy": {
        "priority": "PRIMARY"
    },
    "aSide": {
        "accessPoint": {
            "type": "COLO",
            "port": {
                "uuid": "a867f685-41b0-1b07-6de0-320a5c00abdd"
            },
            "linkProtocol": {
                "type": "QINQ",
                "vlanCTag": 1001,
                "vlanSTag": 1002
            }
        }
    },
    "zSide": {
        "accessPoint": {
            "type": "SP",
            "profile": {
                "uuid": "20d32a80-0d61-4333-bc03-707b591ae2f5"
            },
            "location": {
                "metroCode": "SV"
            },
            "authenticationKey": "xx-xxx-xx",
            "sellerRegion": "us-west-1"
        }
    },
    "additionalInfo": [
        {
            "key": "ASN",
            "value": "12345"
        },
        {
            "key": "Global",
            "value": "false"
        }
    ],
    "notifications": [
        {
            "type": "ALL",
            "emails": [
                "test@equinix.com",
                "test2@equinix.com"
            ]
        }
    ]
}'

请求正文中包含的参数仅适用于此示例。有关参数及其说明的完整列表,请参阅API 参考

监控连接状态

fabric/v4/connections/{connectionId} 端点发送 GET 请求以监控连接状态。

equinixStatusattribute valuesproviderStatusattribute valuesIBM Direct Link statusDescription
PROVISIONINGPROVISIONING-Connection request has not been sent to IBM yet.
PENDING_PROVIDER_VLANPENDING_APPROVALCreate approval pendingThe connection awaits for approval.
PROVISIONEDPROVISIONING / PROVISIONEDCreate in progressConnection establishment in progress.
PROVISIONEDPROVISIONEDProvisionedConnection established.

接受连接

登录到 IBM Cloud 控制台 并导航到 IBM Cloud Direct Link Exchange 页面 以查看并接受待处理的连接。

此页面有帮助吗?